LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
cppu::Enterable Class Referenceabstract

C++ wrapper for binary C Enterable (http://wiki.openoffice.org/wiki/Uno/Cpp/Spec/Environment_Stack) More...

`#include <Enterable.hxx>`

Inheritance diagram for cppu::Enterable:

## Public Member Functions
virtual void | v_enter (void)=0
virtual void | v_leave (void)=0
virtual void | v_callInto_v (uno_EnvCallee *pCallee, va_list *pParam)=0
virtual void | v_callOut_v (uno_EnvCallee *pCallee, va_list *pParam)=0
virtual bool | v_isValid (rtl::OUString *pReason)=0
virtual | ~Enterable ()
| Enterable (void)
void | enter (void)
void | leave (void)
void | callInto_v (uno_EnvCallee *pCallee, va_list *pParam)
void | callOut_v (uno_EnvCallee *pCallee, va_list *pParam)
void | callInto (uno_EnvCallee *pCallee,...)
void | callOut (uno_EnvCallee *pCallee,...)
int | isValid (rtl::OUString *pReason)

## Additional Inherited Members
Public Attributes inherited from uno_Enterable
uno_Enterable_enter * | m_enter
uno_Enterable_leave * | m_leave
uno_Enterable_callInto_v * | m_callInto_v
uno_Enterable_callOut_v * | m_callOut_v
uno_Enterable_isValid_v * | m_isValid

## Detailed Description

C++ wrapper for binary C Enterable (http://wiki.openoffice.org/wiki/Uno/Cpp/Spec/Environment_Stack)

See also
  uno_Enterable

Since
  UDK 3.2.7

## Constructor & Destructor Documentation

virtual cppu::Enterable::~Enterable | ( |  | ) |
| inline virtual

cppu::Enterable::Enterable | ( | void |  | ) |
| inline explicit

## Member Function Documentation

void cppu::Enterable::callInto | ( | uno_EnvCallee * | pCallee,
|  |  | ...
| ) |  |
| inline

void cppu::Enterable::callInto_v | ( | uno_EnvCallee * | pCallee,
|  | va_list * | pParam
| ) |  |
| inline

void cppu::Enterable::callOut | ( | uno_EnvCallee * | pCallee,
|  |  | ...
| ) |  |
| inline

void cppu::Enterable::callOut_v | ( | uno_EnvCallee * | pCallee,
|  | va_list * | pParam
| ) |  |
| inline

void cppu::Enterable::enter | ( | void |  | ) |
| inline

int cppu::Enterable::isValid | ( | rtl::OUString * | pReason | ) |
| inline

void cppu::Enterable::leave | ( | void |  | ) |
| inline

virtual void cppu::Enterable::v_callInto_v | ( | uno_EnvCallee * | pCallee,
|  | va_list * | pParam
| ) |  |
| pure virtual

virtual void cppu::Enterable::v_callOut_v | ( | uno_EnvCallee * | pCallee,
|  | va_list * | pParam
| ) |  |
| pure virtual

virtual void cppu::Enterable::v_enter | ( | void |  | ) |
| pure virtual

virtual bool cppu::Enterable::v_isValid | ( | rtl::OUString * | pReason | ) |
| pure virtual

virtual void cppu::Enterable::v_leave | ( | void |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- cppu/Enterable.hxx